## org.firebirdsql.pool
Class FBConnectionPoolDataSource

    java.lang.Object
      org.firebirdsql.pool.AbstractConnectionPool
          org.firebirdsql.pool.BasicAbstractConnectionPool
              org.firebirdsql.pool.AbstractFBConnectionPoolDataSource
                  org.firebirdsql.pool.FBConnectionPoolDataSource

All Implemented Interfaces:
  Serializable, EventListener, Referenceable, ObjectFactory, CommonDataSource, ConnectionEventListener, ConnectionPoolDataSource, XADataSource, FirebirdConnectionProperties, ConnectionPoolConfiguration, FirebirdPool, PooledConnectionEventListener, PooledConnectionManager, PooledObjectListener

    public class FBConnectionPoolDataSource

extends AbstractFBConnectionPoolDataSource
implements ObjectFactory

Implementation of the javax.naming.spi.ObjectFactory interface.

Author:
  Roman Rokytskyy, Steve Jardine
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.firebirdsql.pool.AbstractConnectionPool
`AbstractConnectionPool.UserPasswordPair`

Field Summary

Fields inherited from class org.firebirdsql.pool.AbstractFBConnectionPoolDataSource
`EMPTY_USER_PASSWORD, REF_NON_STANDARD_PROPERTY, REF_PROPERTIES`

Constructor Summary
`FBConnectionPoolDataSource()` Default Constructor.

Method Summary
`Object` `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`

Methods inherited from class org.firebirdsql.pool.AbstractFBConnectionPoolDataSource

`allocateConnection, connectionClosed, connectionErrorOccurred, createObjectInstance, getBlobBufferSize, getBuffersNumber, getCharSet, getConnectionManager, getConnectionProperties, getDatabase, getDatabaseParameterBuffer, getDefaultIsolation, getDefaultReference, getDefaultTransactionIsolation, getEncoding, getFreeSize, getGDSType, getLogger, getLoginTimeout, getLogWriter, getNonStandardProperty, getPassword, getPingStatement, getPooledConnection, getPooledConnection, getPooledConnection, getPoolName, getRoleName, getSocketBufferSize, getSqlDialect, getSqlRole, getTotalSize, getTpbMapping, getTransactionParameters, getType, getUserName, getUseTranslation, getWorkingSize, getXAConnection, getXAConnection, isDefaultResultSetHoldable, isPingable, isTimestampUsesLocalTimezone, isUseStandardUdf, isUseStreamBlobs, physicalConnectionClosed, physicalConnectionDeallocated, processObjectInstance, setBlobBufferSize, setBuffersNumber, setCharSet, setConnectionProperties, setDatabase, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setEncoding, setGDSType, setLoginTimeout, setLogWriter, setNonStandardProperty, setNonStandardProperty, setPassword, setProperties, setRoleName, setSocketBufferSize, setSqlDialect, setSqlRole, setTimestampUsesLocalTimezone, setTpbMapping, setTransactionParameters, setType, setUserName, setUseStandardUdf, setUseStreamBlobs, setUseTranslation`

Methods inherited from class org.firebirdsql.pool.BasicAbstractConnectionPool

`deserialize, getBlockingTimeout, getConfiguration, getIdleTimeout, getMaxConnections, getMaxIdleTime, getMaxPoolSize, getMaxStatements, getMinConnections, getMinPoolSize, getObjectInstance, getPingInterval, getRefAddr, getReference, getRetryInterval, isKeepStatements, isPooling, isStatementPooling, serialize, setBlockingTimeout, setIdleTimeout, setKeepStatements, setMaxConnections, setMaxIdleTime, setMaxPoolSize, setMaxStatements, setMinConnections, setMinPoolSize, setPingInterval, setPingStatement, setPooling, setReference, setRetryInterval, setStatementPooling`

Methods inherited from class org.firebirdsql.pool.AbstractConnectionPool
`finalize, getQueue, physicalConnectionDeallocated, pooledObjectReleased, restart, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.pool.FirebirdPool
`getBlockingTimeout, getMaxIdleTime, getMaxPoolSize, getMaxStatements, getMinPoolSize, getPingInterval, isPooling, isStatementPooling, restart, setBlockingTimeout, setMaxIdleTime, setMaxPoolSize, setMaxStatements, setMinPoolSize, setPingInterval, setPooling, setStatementPooling, shutdown`

Methods inherited from interface org.firebirdsql.pool.ConnectionPoolConfiguration
`getIdleTimeout, getMaxConnections, getMinConnections, getRetryInterval`

Constructor Detail

### FBConnectionPoolDataSource

    public FBConnectionPoolDataSource()

  Default Constructor.

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable<?,?> environment)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

Copyright © 2001-2010. All Rights Reserved.